package com.usoftchina.bi.server.model.vo.dataVo;

import java.io.Serializable;

/**
 * @Author chenwei
 * @Date 2019-04-09
 */
public class DashboardCopyInfo implements Serializable {
    /**
     * 看板ID
     */
    private int dashboardId;
    /**
     * 数据连接ID
     */
    private int dataSourceId;

    private String lastName = "_副本";

    private String newCode = "";

    public DashboardCopyInfo() {}

    public DashboardCopyInfo(int dashboardId, int dataSourceId ,String lastName ,String newCode) {
        this.dashboardId = dashboardId;
        this.dataSourceId = dataSourceId;
        this.lastName = lastName;
        this.newCode = newCode;
    }

    public String getLastName() {
        return lastName;
    }

    public void setLastName(String lastName) {
        this.lastName = lastName;
    }

    public int getDashboardId() {
        return dashboardId;
    }

    public void setDashboardId(int dashboardId) {
        this.dashboardId = dashboardId;
    }

    public int getDataSourceId() {
        return dataSourceId;
    }

    public void setDataSourceId(int dataSourceId) {
        this.dataSourceId = dataSourceId;
    }

    public String getNewCode() {
        return newCode;
    }

    public void setNewCode(String newCode) {
        this.newCode = newCode;
    }
}
